# 水母星球-数据看板系统-H5

## 数据看板H5页面----水母星球客户数据管理系统
仓库地址：http://192.168.2.106/app/shuimu-dashboard-h5.git

## npm scripts：
```json
{
  "scripts": {
    "dev": "vite serve --mode development",
    "build:beta": "vite build --mode staging &&vue-tsc --noEmit",
    "build:prod": "vite build --mode production &&vue-tsc --noEmit",
    "preview": "vite preview"
  }
}
```

## 本地启动
```shell
npm install
npm run dev
```

## 构建应用
```shell
npm run build:beta
```
默认情况下，构建会输出到 dist 文件夹中。你可以部署这个 dist 文件夹到任何你喜欢的平台。

## 本地测试应用
当你构建完成应用后，你可以通过运行 `npm run preview` 命令，在本地测试该应用。
```shell
npm run build:beta
npm run preview
```
`vite preview` 命令会在本地启动一个静态 Web 服务器，将 dist 文件夹运行在 http://localhost:4173。

如遇到端口冲突，可以通过 --port 参数来配置服务的运行端口。
``` json
{
    "scripts": {
        "preview": "vite preview --port 8080"
    }
}
```
现在 preview 命令会将服务器运行在 http://localhost:8080。

## 部署应用
通过 `npm run build:prod` 命令构建正式环境应用输出到 dist 文件夹中。
```shell
npm run build:prod
```
- 构建后文件存放服务器地址：
  1. 测试环境：`/usr/local/www/board/`
  2. 正式环境：`/home/wwwroot/default/board`
- 访问域名：
  1. 测试环境：https://board-t.shuimuai.com
  2. 正式环境：https://board.shuimuai.com
