/**
 * 登录请求参数
 */
export interface LoginData {
  /**
   * 手机号
   */
  phone?: string;
  /**
   * 密码
   */
  password?: string;
}

/**
 * 登录响应
 */
export interface LoginResult {
  /**
   * 访问token
   */
  token: string;
  /**
   * 姓名
   */
  name: string;
  /**
   * 加密后的电话号码
   */
  phone: string;
  /**
   * 学校号
   */
  num: string;
  /**
   * 学校id
   */
  school_id: number;
  /**
   * 角色
   */
  role: string;
  /**
   * 权限
   */
  perms: string[];
}
