/**
 * 获取设备参数
 */
export interface EquipmentParams {
  school_id: number;
  teacher_id: number;
  // 设备编号
  sn: string;
}
/**
 * 设备列表
 */
export interface EquipmentItem {
  // 设备编号
  sn: string;
  // 使用者
  name: string;
  // 电话
  phone: string;
  software_version: string;
  create_time: string;
}
/**
 * 设备管理
 */
export interface EquipmentManage {
  // 脑机
  AI: EquipmentItem[];
  // 水舞
  SW: EquipmentItem[];
  // 恐龙
  KL: EquipmentItem[];
  // 碰碰车
  PP: EquipmentItem[];
  // SUV
  SU: EquipmentItem[];
  // 赛车
  SC: EquipmentItem[];
  // UFO
  UF: EquipmentItem[];
  // 积木
  JM: EquipmentItem[];
}
