// 系统设置
interface DefaultSettings {
  /**
   * 系统title
   */
  title: string;
  /**
   * 是否显示多标签导航
   */
  tagsView: boolean;
  /**
   *是否固定头部
   */
  fixedHeader: boolean;
  /**
   * 是否显示侧边栏Logo
   */
  sidebarLogo: boolean;
  /**
   * 导航栏布局
   */
  layout: string;
  /**
   * 主题模式
   */
  theme: string;
  /**
   * 语言
   */
  language: string;
}

const defaultSettings: DefaultSettings = {
  title: "水母星球数据看板系统",
  tagsView: false,
  fixedHeader: false,
  sidebarLogo: true,
  layout: "left",
  theme: "light",
  language: "zh-cn", // zh-cn| en
};

export default defaultSettings;
